#! /bin/sh
# setup.sh -- Configuration PPP ALPHANET pour Linux Slackware 2.3.0
# Marc SCHAEFER <schaefer@alphanet.ch>
# Cration: 26/02/96
# Modification: 12/05/96
# V1.0 PV002 MSC96
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# BUGS
#    Sensitivity to / in variables because of sed.

cd /usr/lib/ppp

case `whoami` in
   root) ;;
   *) echo "Lancez ce programme sous root"
      exit;;
esac


echo "Configuration PPP ALPHANET 1.0 MSC96"
echo ""
echo -n "Avez-vous lu la FAQ LINUX ALPHANET [o/N] ?: "
read Answer
case $Answer in
   o*|O*) ;;
   *)     echo ""
          echo "Et bien, faites-le."
          exit;;
esac
unset Answer

if [ -f config.done ]; then
   echo ""
   echo "Configuration dj effectue."
   echo -n "Recommencer la configuration [o/N] ?: "
   read Answer
   case $Answer in
      o*|O*) mv ORIG/*.orig .
             rmdir ORIG
             rm config.done ppp-on-alphanet ppp-off-alphanet
             rm -rf chat_configs;;
      *)  echo ""
          echo "Opration annule."
          exit;;
   esac
   unset Answer
fi

clear

while :
do
   echo -n "VOTRE adresse IP sous forme numrique : "
   read ALPHANET_CONFIG_OUR_ADDRESS
   case $ALPHANET_CONFIG_OUR_ADDRESS in
      [0-9]*\.[0-9]*\.[0-9]*\.[0-9]*) break;; # MSC96 12/05/96 from PJC
      *) echo "ERREUR: pas sous forme numrique";;
   esac                     
done

while :
do
   echo -n "Login UNIX commenant par pp: "
   read ALPHANET_CONFIG_PPP_LOGIN
   case $ALPHANET_CONFIG_PPP_LOGIN in
      pp*) break;;
      *) echo ""
         echo "ERREUR: $ALPHANET_CONFIG_PPP_LOGIN ne commence pas par pp";;
   esac
done

echo -n "Mot de passe UNIX pour PPP (attention  l'cho!) : "
read ALPHANET_CONFIG_PPP_PASSWORD

echo -n "Etes-vous dans l'indicatif (038) [O/n] ?: "
read Answer
case $Answer in
   n*|N*) ALPHANET_CONFIG_PHONE=038414081;;
   *) ALPHANET_CONFIG_PHONE=414081;;
esac
unset Answer

echo "Le numro du serveur ALPHANET est $ALPHANET_CONFIG_PHONE"
echo -n "Est-ce que cela est OK [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo -n "Nouveau numro: "
          read ALPHANET_CONFIG_PHONE;;
esac
unset Answer

while :
do
   echo -n "Entrez le nom du priphrique UNIX de sortie [/dev/ttyS0]: "
   read ALPHANET_CONFIG_MODEM_DEVICE
   if [ "$ALPHANET_CONFIG_MODEM_DEVICE" = "" ]; then
      ALPHANET_CONFIG_MODEM_DEVICE=/dev/ttyS0
   fi
   case $ALPHANET_CONFIG_MODEM_DEVICE in
      *%*) echo ""
           echo "ERREUR: mauvais caractre";;
      /dev/*) if [ -c $ALPHANET_CONFIG_MODEM_DEVICE ]; then
                 break
              fi
              echo ""
              echo "ERREUR: $ALPHANET_CONFIG_MODEM_DEVICE inexistant";;
      *) echo ""
         echo "ERREUR: ajoutez /dev/ devant";;
   esac
done

clear

echo "Adresse IP de votre machine: $ALPHANET_CONFIG_OUR_ADDRESS"
echo "Nom UNIX login ALPHANET:   $ALPHANET_CONFIG_PPP_LOGIN"
echo "Mot de passe UNIX login:   $ALPHANET_CONFIG_PPP_PASSWORD"
echo "Priphrique UNIX:         $ALPHANET_CONFIG_MODEM_DEVICE"
echo "Tlphone serveur UNIX:    $ALPHANET_CONFIG_PHONE"
echo ""
echo -n "Confirmation [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo ""
          echo "Relancez $0"
          exit;;
esac
unset Answer

echo ""
echo -n "Je procde  la configuration ..."

sed "s%ALPHANET_CONFIG_MODEM_DEVICE%$ALPHANET_CONFIG_MODEM_DEVICE%
     s/ALPHANET_CONFIG_OUR_ADDRESS/$ALPHANET_CONFIG_OUR_ADDRESS/" < ppp-on-alphanet.orig > ppp-on-alphanet

sed "s/ALPHANET_CONFIG_NODENAME/$ALPHANET_CONFIG_NODENAME/
     s/ALPHANET_CONFIG_PPP_LOGIN/$ALPHANET_CONFIG_PPP_LOGIN/
     s/ALPHANET_CONFIG_PPP_PASSWORD/$ALPHANET_CONFIG_PPP_PASSWORD/
     s/ALPHANET_CONFIG_PHONE/$ALPHANET_CONFIG_PHONE/" < alphanet.orig > alphanet

# MSC96 12/05/96 corrected PASSWD->PASSWORD in alphanet.orig from PJC
# MSC96 12/05/96 from PJC
cp ppp-off-alphanet.orig ppp-off-alphanet

mkdir ORIG
mv *.orig ORIG
chown root alphanet ppp-on-alphanet ppp-off-alphanet
chgrp root alphanet ppp-on-alphanet ppp-off-alphanet
chmod 600 alphanet ppp-on-alphanet ppp-off-alphanet
mkdir chat_configs
chmod 700 chat_configs ORIG
chown root chat_configs
chgrp root chat_configs
mv alphanet chat_configs

touch config.done

echo " ok"
echo ""
